// *************************************************************** //
// Filename:    MDIMenu.h                                          //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //

#ifndef MDIMenu_H
#define MDIMenu_H

#include <owl\owlcore.h>
#include <owl\mdi.h>
#include <owl\mdichild.h>
#pragma hdrstop
#include "MDIMenu.rh"

// --------------------------------------------------------------- //
// MDIMenuApplication                                              //
// --------------------------------------------------------------- //
class TMDIMenuApp : public TApplication 
{
  public:
    TMDIMenuApp();
   ~TMDIMenuApp();
    void InitMainWindow();
};

// --------------------------------------------------------------- //
// MDIMenuClient                                                   //
// --------------------------------------------------------------- //
class TMDIMenuClient : public TMDIClient
{
  public:
    TMDIMenuClient(TModule *module = 0);
   ~TMDIMenuClient();

    void SetupWindow();
    void CleanupWindow();
  
    TMDIChild* InitChild();
    DECLARE_RESPONSE_TABLE(TMDIMenuClient);
};

// --------------------------------------------------------------- //
// MDIMenuChild                                                   //
// --------------------------------------------------------------- //
class TMDIMenuChild : public TMDIChild
{
  public:
    TMDIMenuChild(TMDIClient &parent, const char far *title = 0,
      TWindow *clientWnd = 0, BOOL shrinkToClient = FALSE,
      TModule *module = 0);
   ~TMDIMenuChild();

    void GetWindowClass(WNDCLASS& wndClass);
    char *GetClassName();
    void SetupWindow();
    void CleanupWindow();
  
    DECLARE_RESPONSE_TABLE(TMDIMenuChild);
  protected:
    void CmTryMe();
};

#endif


